Subject: bug#79409: 31.0.50; project.el uses define-completion-category but depends on 26.1

From: Eshel Yaron <[email-masked]>
Date: Mon, 08 Sep 2025 20:08:51 +0200

Daniel Mendler <[email-masked]> writes:

> Eshel Yaron <[email-masked]> writes:
>
>> Daniel Mendler writes:
>>
>>> Since a few days ago project.el uses define-completion-category which is
>>> not yet available on old Emacs versions. project.el is published on ELPA
>>> and depends on Emacs 26.1.
>>
>> Right, thanks, should now be fixed on master (with commit 6b6cfa8e40b).
>
> Thanks, I didn't see that you've already sent a mail to devel a short
> while before my report. I wonder if some fallback code is needed, such
> that project-buffer is treated like the buffer completion category on
> older Emacs versions?

I thought about that, and it seems like a good idea.
IIUC, there was no such arrangement in Dmitry's introduction of the
project-buffer category though, so I'll leave that to him.

Regards,
Eshel